<?php
namespace App\EntityList;

class CorporateOfficeBankAccounts extends \App\EntityList\GeneralAbstract
{
	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTCorporatesOfficesBankAccounts, $DBTCorporatesOffices, $DBTBanks;
		$this->setMainTable($DBTCorporatesOfficesBankAccounts, 'corpOffBankAccounts');
		$this->addAllowedTable($DBTCorporatesOffices, 'corpOffices', 'corpOffBankAccounts.idCorporateOffice=corpOffices.id', 'INNER');
		$this->addAllowedTable($DBTBanks, 'banks', 'corpOffBankAccounts.idBank=banks.id', 'LEFT');
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::setDefaultFilters()
	 */
	public function setDefaultFilters(): void
	{
	}
}